com.ibm.openpages.api.respview

## Interface IDashboardTab

-     public interface IDashboardTab

  Represents the dashboard tab.
  Since:
    8.1

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `IDashboardTab.DashboardTabType` Types of the dashboard tab

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()` Returns name of the dashboard tab
    `java.util.List<ILabel>` | `getNameLabels()` Returns the tab name labels for all locales
    `java.util.List<IDashboardPanel>` | `getPanels()` Returns the list of dashboard panels
    `Id` | `getReportId()` Returns the reportId of the report tab
    `IDashboardTab.DashboardTabType` | `getType()` Returns type of the dashboard tab
    `java.util.UUID` | `getUuid()` Returns the UUID of the dashboard tab
    `boolean` | `isHidden()` Returns the hidden status of the dashboard tab
    `boolean` | `isLocked()` Returns the locked status of the dashboard tab
    `void` | `setHidden(boolean isLocked)` Sets the locked status of the dashboard tab
    `void` | `setLocked(boolean isLocked)` Sets the locked status of the dashboard tab
    `void` | `setNameLabels(java.util.List<ILabel> nameLabels)` Sets the list of tab name labels
    `void` | `setPanels(java.util.List<IDashboardPanel> panels)` Sets the list of dashboard panels
    `void` | `setReportId(Id id)` Sets the report id of the report tab
    `void` | `setUuid(java.util.UUID uuid)` Sets the UUID of the dashboard tab

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns name of the dashboard tab
      Returns:

    - #### getType

          IDashboardTab.DashboardTabType getType()

      Returns type of the dashboard tab
      Returns:

    - #### getUuid

          java.util.UUID getUuid()

      Returns the UUID of the dashboard tab
      Returns:

    - #### getReportId

          Id getReportId()

      Returns the reportId of the report tab
      Returns:

    - #### getNameLabels

          java.util.List<ILabel> getNameLabels()

      Returns the tab name labels for all locales
      Returns:
        `ILabel` the tab name label

    - #### setNameLabels

          void setNameLabels(java.util.List<ILabel> nameLabels)

      Sets the list of tab name labels
      Parameters:
        `nameLabels` - the list of `ILabel`

    - #### getPanels

          java.util.List<IDashboardPanel> getPanels()

      Returns the list of dashboard panels
      Returns:

    - #### setPanels

          void setPanels(java.util.List<IDashboardPanel> panels)

      Sets the list of dashboard panels
      Parameters:
        `panels` -

    - #### setUuid

          void setUuid(java.util.UUID uuid)

      Sets the UUID of the dashboard tab
      Parameters:
        `uuid` -

    - #### setReportId

          void setReportId(Id id)

      Sets the report id of the report tab
      Parameters:
        `uuid` -

    - #### isLocked

          boolean isLocked()

      Returns the locked status of the dashboard tab
      Returns:

    - #### setLocked

          void setLocked(boolean isLocked)

      Sets the locked status of the dashboard tab
      Parameters:
        `chartType` -

    - #### isHidden

          boolean isHidden()

      Returns the hidden status of the dashboard tab
      Returns:

    - #### setHidden

          void setHidden(boolean isLocked)

      Sets the locked status of the dashboard tab
      Parameters:
        `chartType` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.